Loading...
Searching...
No Matches
p_Neg__T.cc File Reference

Go to the source code of this file.

## Functions

LINKAGE poly | p_Neg__T (poly p, const ring r)

## Function Documentation

## p_Neg__T()

LINKAGE poly p_Neg__T | ( | poly | p,
|  | const ring | r )

Definition at line 17 of file p_Neg__T.cc.

{
poly q = p;
while (p != NULL)
{
pSetCoeff0(p, n_Neg__T(pGetCoeff(p), r->cf));
pIter(p);
}
return q;
}
p
int p
Definition cfModGcd.cc:4086
pIter
#define pIter(p)
Definition monomials.h:37
pSetCoeff0
#define pSetCoeff0(p, n)
Definition monomials.h:59
pGetCoeff
static number & pGetCoeff(poly p)
return an alias to the leading coefficient of p assumes that p != NULL NOTE: not copy
Definition monomials.h:44
NULL
#define NULL
Definition omList.c:12